Package com.independentsoft.calc.engine

# Class Evaluator

java.lang.Object
com.independentsoft.calc.engine.Evaluator

public final class Evaluator extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static int`
  `MaxTextLength`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CalcValue`
  `applyBinary​(BinOp op, CalcValue l, CalcValue r, EvalContext ctx)`
  `static CalcValue`
  `applyScalarOp​(BinOp op, CalcValue a, CalcValue b, EvalContext ctx)`
  `static Area`
  `clampArea​(Area a)`
  `static CalcValue`
  `derefScalar​(CalcValue v, EvalContext ctx)`
  `static CalcValue`
  `eval​(AstNode node, EvalContext ctx)`
  `static boolean`
  `isMultiRef​(CalcValue v)`
  `static CalcValue[][]`
  `toArrayOperand​(CalcValue v, EvalContext ctx, Out<CalcValue> error)`
  `static CalcValue`
  `unaryNumericMap​(CalcValue v, EvalContext ctx, DoubleUnaryOperator map)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MaxTextLength

    public static final int MaxTextLength
    See Also:
      Constant Field Values

- ## Method Details

  - ### eval

    public static CalcValue eval​(AstNode node, EvalContext ctx)

  - ### isMultiRef

    public static boolean isMultiRef​(CalcValue v)

  - ### applyBinary

    public static CalcValue applyBinary​(BinOp op, CalcValue l, CalcValue r, EvalContext ctx)

  - ### applyScalarOp

    public static CalcValue applyScalarOp​(BinOp op, CalcValue a, CalcValue b, EvalContext ctx)

  - ### unaryNumericMap

    public static CalcValue unaryNumericMap​(CalcValue v, EvalContext ctx, DoubleUnaryOperator map)

  - ### derefScalar

    public static CalcValue derefScalar​(CalcValue v, EvalContext ctx)

  - ### toArrayOperand

    public static CalcValue[][] toArrayOperand​(CalcValue v, EvalContext ctx, Out<CalcValue> error)

  - ### clampArea

    public static Area clampArea​(Area a)